import { PdfFile } from '../../types/drawing.ts'
import { CurrentUserMark } from '../../types/mark.ts'
import PdfPageItem  from './PdfPageItem.tsx';

interface PdfItemProps {
  pdfFile: PdfFile
  currentUserMarks: CurrentUserMark[]
  handleMarkClick: (id: number) => void
  currentMarkValue: string
  currentUserMark: CurrentUserMark | null
}

const PdfItem = ({ pdfFile, currentUserMarks, handleMarkClick, currentMarkValue, currentUserMark }: PdfItemProps) => {
  const filterByPage = (marks: CurrentUserMark[], page: number): CurrentUserMark[] => {
    return marks.filter((m) => m.mark.location.page === page);
  }
  return (
    pdfFile.pages.map((page, i) => {
      return (
        <PdfPageItem
          page={page}
          key={i}
          marks={filterByPage(currentUserMarks, i)}
          handleMarkClick={handleMarkClick}
          currentMarkValue={currentMarkValue}
          currentUserMark={currentUserMark}
        />
      )
  }))
}

export default PdfItem